.\"------------------------------------------------------------
.\" Id - set Rv,revision, and Dt, Date using rcs-Id tag.
.de Id
.ds Rv \\$3
.ds Dt \\$4
..
.Id $Id: seft.1,v 1.1 1999/10/22 09:17:30 oldk Exp $
.\"------------------------------------------------------------
.TH SEFT 1 \*(Dt UniMelb
.SH NAME
seft \- a search engine for text
.LP
.SH SYNOPSIS
.B seft
[
.B options 
]
"query terms"
.I textfiles 
.SH DESCRIPTION
.B Seft
takes a set of
query terms and a set of files as arguments and, using a
locality-based similarity heuristic, determines word locations within
the files that are of interest with respect to the query.
The user is then presented with a sequence of windows of text, the
first window surrounding the most relevant location, the second
window surrounding the next most relevant location and so on.
Both the number of windows presented and the size of the window can
be specified as parameters to seft.
In addition, the user can specify
whether to apply
case-folding and/or stemming to the query
terms and the text files.

.SH OPTIONS
.TP "\w'\fB\-d\fP \fIdirectory\fP'u+2n"
.B \-h 
This displays a usage line on
.IR stderr .
.TP
.BI \-f " query-file"
File containing query terms.
.TP
.BI \-n   
Supress output.
.TP
.BI \-m " max-windows"
Specifies the maximum number of windows to display (default = 5).
.TP
.BI \-p   
Print a formfeed character after every window.  Useful when piping
output through a pager such as more.
.TP
.BI \-s " [0|1|2]"
Casefolding and stemming.
0 turns casefolding off and stemming off.
1 turns casefolding on and stemming off.
2 turns casefolding on and stemming on
(default = 2).
.TP
.BI \-w " window-size"
Specifies the number of lines within a window (default = 3).
.TP
.BI \-x 
Turns off high-lighting of query term locations.
.SH USAGE
Consider that the text file Query has the contents "computer industry"
then the following seft examples have the same meaning:

seft -f Query ~oldk/News/*

seft "computer industry" ~oldk/News/*

These commands would have the effect of searching through a users News
folder for articles relating to "computer" and "industry", and returning
windows of text surrounding the most relevent locations of text.
.SH NOTE
If highly ranked query locations lie in close proximity, then it
is likely that seft would display either windows which contain
the same contents (the highly ranked query terms exist on the same
line) or windows which partially overlap.  To avoid this, the current
version of seft does not display windows whose centre line has already
been displayed (anywhere) within a previous window.
.SH "SEE ALSO"
.na
.BR grep (1),
.BR agrep (1),
.BR egrep (1),
.BR fgrep (1),
.BR more (1),
.BR mg (1)
